#ifndef DETDIALOG_H
#define DETDIALOG_H
#include <QJsonObject>
#include <QJsonDocument>
#include <QDialog>
#include <QMessageBox>

namespace Ui {
class DetDialog;
}

class DetDialog : public QDialog
{
    Q_OBJECT

public:
    explicit DetDialog(QWidget *parent = nullptr);
    ~DetDialog();
signals:
    void validateDetNum(const QJsonDocument &jsonDoc);
private slots:
    void onComboTypeIndexChanged(int index);
    void validateInput();
private:
    void clearFormData();
private:
    Ui::DetDialog *ui;

};

#endif // DETDIALOG_H
